Page MenuHomePhabricator

Flow: Remove font-related formatting from board header area
Closed, ResolvedPublic

Description

Per Fram's comment and S's reply, the '''*All Bold*''' text in the Board Header looks bad for anything longer than a short sentence, and for most templates.
https://www.mediawiki.org/w/index.php?title=Talk:Sandbox&workflow=050c27a75b2dcc146adc842b2b77e796#flow-post-050c27ab1f07dae40bd7842b2b77d26b

It also doesn't preview correctly, because it's being added post-save.

Please either change the default by removing the forced-bold styling (preferred), or provide a reliable solution (CSS class?) that can be very widely used (ie by ALLLL current talkpage templates).


Version: unspecified
Severity: normal

Details

Reference
bz59155

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:38 AM
bzimport set Reference to bz59155.
bzimport added a subscriber: Unknown Object (MLST).
Quiddity created this task.Dec 31 2013, 2:23 AM

bingle-admin wrote:

The WMF core features team tracks this bug on Mingle card https://mingle.corp.wikimedia.org/projects/flow/cards/666, but people from the community are welcome to contribute here and in Gerrit.

We'll remove the bold for now and in the future investigate adding more complex heuristics for identifying template vs. freeform text (which looks strange in the header area if it's completely unstyled).

Change 109029 had a related patch set uploaded by SG:
Do not apply font styles on non-plain-text headers

https://gerrit.wikimedia.org/r/109029

Change 109029 merged by jenkins-bot:
Do not apply font styles on non-plain-text headers

https://gerrit.wikimedia.org/r/109029

  • Bug 60786 has been marked as a duplicate of this bug. ***

(In reply to comment #4)

Change 109029 merged by jenkins-bot:
Do not apply font styles on non-plain-text headers
https://gerrit.wikimedia.org/r/109029

What's the status of this bug report? (Should it still be marked as PATCH_TO_REVIEW?)

And what's the status of this changeset? (Is it deployed to the English Wikipedia?)

  • Bug 60786 has been marked as a duplicate of this bug. ***

Patch to partially remove styling was merged on mw.org (you can see it here: https://www.mediawiki.org/wiki/Talk:Flow), but it's clearly still looking pretty weird, so we'll go ahead and remove all the styling from that area along with a bunch of other frontend styling fixes this next couple of weeks.

(In reply to comment #8)

Patch to partially remove styling...

more precisely, the CSS in gerrit 109029 only styles "simple" paragraphs in the header. If you put stuff in a div or a table, it's left alone. But the header on Talk:Flow is some simple text plus some bullets, so the former is styled gray and bold, and the bullets aren't. It's tricky to do the right thing.

Resolving this; I believe we're not adding any extra styling to the board header now.

Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:40 AM